<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Sat May 11 20:28:16 CEST 2019 -->
<title>Move</title>
<meta name="date" content="2019-05-11">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Move";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../app/game/Game.html" title="class in app.game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/game/Move.html" target="_top">Frames</a></li>
<li><a href="Move.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">app.game</div>
<h2 title="Class Move" class="title">Class Move</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>app.game.Move</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Move</span>
extends java.lang.Object</pre>
<div class="block">Represents a single move in chess.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jana Balkovicova, Radek Bednar</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../app/game/Move.html#Move-java.util.ArrayList-app.board.Field-boolean-char-boolean-boolean-">Move</a></span>(java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;&nbsp;moveFromFields,
    <a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveToField,
    boolean&nbsp;pieceCapture,
    char&nbsp;promotionTo,
    boolean&nbsp;check,
    boolean&nbsp;mate)</code>
<div class="block">Creates a chess move from notation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../app/game/Move.html#Move-app.pieces.Piece-app.board.Field-char-">Move</a></span>(<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;movePiece,
    <a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveToField,
    char&nbsp;promotedType)</code>
<div class="block">Creates a chess move.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Move.html#getCapturedPiece--">getCapturedPiece</a></span>()</code>
<div class="block">Returns the piece that moved piece captured.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Move.html#getMovedPiece--">getMovedPiece</a></span>()</code>
<div class="block">Returns the piece that was moved.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../app/board/Field.html" title="class in app.board">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Move.html#getMoveFromField--">getMoveFromField</a></span>()</code>
<div class="block">Returns the field that piece moved from.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../app/board/Field.html" title="class in app.board">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Move.html#getMoveToField--">getMoveToField</a></span>()</code>
<div class="block">Returns the field that piece moved to.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Move.html#getPromotedPiece--">getPromotedPiece</a></span>()</code>
<div class="block">Returns the piece that has been created in promotion.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Move.html#isFromNotation--">isFromNotation</a></span>()</code>
<div class="block">Checks if the move was loaded from file notation.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Move.html#isPromotion-app.pieces.Piece-app.board.Field-">isPromotion</a></span>(<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;piece,
           <a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveTo)</code>
<div class="block">Checks whether the moved piece is pawn and ready to promotion.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/game/Move.html#toString--">toString</a></span>()</code>
<div class="block">Overrides method in order to print move in correct notation format.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Move-app.pieces.Piece-app.board.Field-char-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Move</h4>
<pre>public&nbsp;Move(<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;movePiece,
            <a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveToField,
            char&nbsp;promotedType)</pre>
<div class="block">Creates a chess move.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>movePiece</code> - moved piece</dd>
<dd><code>moveToField</code> - field that piece moved to</dd>
<dd><code>promotedType</code> - type of new piece, if the piece has been promoted</dd>
</dl>
</li>
</ul>
<a name="Move-java.util.ArrayList-app.board.Field-boolean-char-boolean-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Move</h4>
<pre>public&nbsp;Move(java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;&nbsp;moveFromFields,
            <a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveToField,
            boolean&nbsp;pieceCapture,
            char&nbsp;promotionTo,
            boolean&nbsp;check,
            boolean&nbsp;mate)</pre>
<div class="block">Creates a chess move from notation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>moveFromFields</code> - array of fields that the piece has potentially moved from</dd>
<dd><code>moveToField</code> - field that the piece moved to</dd>
<dd><code>pieceCapture</code> - true, if the piece was captured during the move</dd>
<dd><code>promotionTo</code> - letter type of the new promoted piece, if any</dd>
<dd><code>check</code> - true, if the move is check</dd>
<dd><code>mate</code> - true, if the move is checkmate</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isPromotion-app.pieces.Piece-app.board.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPromotion</h4>
<pre>public static&nbsp;boolean&nbsp;isPromotion(<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;piece,
                                  <a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveTo)</pre>
<div class="block">Checks whether the moved piece is pawn and ready to promotion.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>piece</code> - moved piece</dd>
<dd><code>moveTo</code> - field that piece moved to</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the piece is pawn and ready to be promoted</dd>
</dl>
</li>
</ul>
<a name="getMoveFromField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoveFromField</h4>
<pre>public&nbsp;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;getMoveFromField()</pre>
<div class="block">Returns the field that piece moved from.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>field that piece moved from</dd>
</dl>
</li>
</ul>
<a name="getMoveToField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoveToField</h4>
<pre>public&nbsp;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;getMoveToField()</pre>
<div class="block">Returns the field that piece moved to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>field that piece moved to</dd>
</dl>
</li>
</ul>
<a name="getCapturedPiece--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCapturedPiece</h4>
<pre>public&nbsp;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;getCapturedPiece()</pre>
<div class="block">Returns the piece that moved piece captured.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>captured piece</dd>
</dl>
</li>
</ul>
<a name="getMovedPiece--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMovedPiece</h4>
<pre>public&nbsp;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;getMovedPiece()</pre>
<div class="block">Returns the piece that was moved.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>moved piece</dd>
</dl>
</li>
</ul>
<a name="getPromotedPiece--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPromotedPiece</h4>
<pre>public&nbsp;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;getPromotedPiece()</pre>
<div class="block">Returns the piece that has been created in promotion.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>promoted piece</dd>
</dl>
</li>
</ul>
<a name="isFromNotation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFromNotation</h4>
<pre>public&nbsp;boolean&nbsp;isFromNotation()</pre>
<div class="block">Checks if the move was loaded from file notation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the move was loaded from the file</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Overrides method in order to print move in correct notation format.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string representation of the move in correct notation format</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../app/game/Game.html" title="class in app.game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/game/Move.html" target="_top">Frames</a></li>
<li><a href="Move.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
